/*
 This expanding program is to test verious uses and control schemes of the twin PING((( sensor setup that will be used on DerpBOT
*/
#include "simpletools.h"                      // Include simple tools
#include "ping.h"                             // Include PING((( Simple settings


int main()                                    // Main function
{
  print("Starting up: Please stand by\n");
  pause(500);
  print("All ready!");
  pause(300);
  print("\7 ");         // \7 makes terminal beep, handy
  freqout(0,500,500);

 
  while(1)
  {
    int Sonar1 = ping_cm(1);
    pause(75);                        //Keeps PING sensors from hearing one another IMPORTANT!
    int Sonar2 = ping_cm(2);
    pause(75);                         //And provides time to allow writing to variables?
    putChar(HOME);
    print("PING(((1= %d CM%c\n", Sonar1, CLREOL);
    print("PING(((2= %d CM%c\n", Sonar2, CLREOL);
  
    if(Sonar1 < Sonar2)
    {
      print("Ping1 closer!", CLREOL);
      high(27);
      
    }
     else if(Sonar1 > Sonar2)
     {
       print("Ping2 closer!", CLREOL);
       high(26);
     }
     else 
     {
       print("Same Distance ",CLREOL);
       high(26);
       high(27);
       freqout(0,75,2000);
     }
     
     pause(25);                        //this program needs to wait atleast 175miliseconds or it gives innacurate mesurements
     low(26);
     low(27);
           
      
    
  }  
}
